Show / Hide Table of Contents

# SwitchToTaskPoolAwaitable.Awaiter Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct Awaiter : ICriticalNotifyCompletion

##### Implements

ICriticalNotifyCompletion

### Members

#### Properties

Name | Description
--- | ---
IsCompleted |

#### Methods

Name | Description
--- | ---
GetResult() |
OnCompleted(Action) |
UnsafeOnCompleted(Action) |

### Properties

#### IsCompleted

    public bool IsCompleted { get; }

##### Property Value

System.Boolean

### Methods

#### GetResult()

    public void GetResult()

#### OnCompleted(Action)

    public void OnCompleted(Action continuation)

##### Parameters

`continuation` System.Action

#### UnsafeOnCompleted(Action)

    public void UnsafeOnCompleted(Action continuation)

##### Parameters

`continuation` System.Action

### Implements

ICriticalNotifyCompletion